"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FieldSet = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const useId_1 = require("../../hooks/useId");
const useTheme_1 = require("../../hooks/useTheme");
const Icon_1 = require("../Icon");
const Input_1 = require("../Input");
const Stack_1 = require("../Layout/Stack");
const StatusLabel_1 = require("../StatusLabel");
const Text_1 = require("../Text");
const useClassNames_1 = require("./useClassNames");
/**
 * @deprecated `Fieldset` コンポーネントは非推奨です。代わりに `FormControl` を使ってください。
 */
const FieldSet = ({ label, labelType = 'subBlockTitle', errorMessage, helpMessage, className = '', labelSuffix, children, ...props }) => {
    const theme = (0, useTheme_1.useTheme)();
    const managedHtmlFor = (0, useId_1.useId)();
    const helpId = (0, useId_1.useId)();
    const classNames = (0, useClassNames_1.useClassNames)();
    return (react_1.default.createElement(Wrapper, { "$width": props.width || 'auto', className: `${className} ${classNames.wrapper}`, "aria-describedby": helpMessage ? helpId : undefined },
        react_1.default.createElement(Title, { themes: theme, className: classNames.title },
            react_1.default.createElement(LabelText, { styleType: labelType, className: classNames.titleText }, label),
            props.required && (react_1.default.createElement(StatusLabel_1.StatusLabel, { type: "red", className: classNames.label }, "\u5FC5\u9808")),
            labelSuffix && labelSuffix),
        helpMessage && (react_1.default.createElement(HelpMessage, { themes: theme, id: helpId, className: classNames.help }, helpMessage)),
        errorMessage && (react_1.default.createElement(StyledStack, { "$themes": theme, gap: 0, id: `${managedHtmlFor}_errorMessages` }, (Array.isArray(errorMessage) ? errorMessage : [errorMessage]).map((message, index) => (react_1.default.createElement(ErrorMessage, { themes: theme, key: index, className: classNames.error },
            react_1.default.createElement(Icon_1.FaExclamationCircleIcon, { text: message, className: classNames.errorText })))))),
        children ? (children) : (
        // eslint-disable-next-line smarthr/a11y-input-has-name-attribute, smarthr/a11y-input-in-form-control
        react_1.default.createElement(Input_1.Input, { ...props, error: !!errorMessage, className: classNames.input }))));
};
exports.FieldSet = FieldSet;
const Wrapper = styled_components_1.default.div `
  ${({ $width }) => (0, styled_components_1.css) `
    display: inline-block;
    width: ${typeof $width === 'number' ? `${$width}px` : $width};
  `}
`;
const Title = styled_components_1.default.div `
  ${({ themes: { spacingByChar } }) => (0, styled_components_1.css) `
    display: flex;
    align-items: center;
    margin: 0 0 ${spacingByChar(0.5)};

    > *:not(:first-child) {
      margin-left: ${spacingByChar(0.5)};
    }
  `}
`;
const LabelText = (0, styled_components_1.default)(Text_1.Text) `
  display: inline-block;
`;
const HelpMessage = styled_components_1.default.p `
  ${({ themes: { spacingByChar } }) => (0, styled_components_1.css) `
    margin-bottom: ${spacingByChar(0.5)};
  `}
`;
const StyledStack = (0, styled_components_1.default)(Stack_1.Stack) `
  ${({ $themes: { spacingByChar } }) => (0, styled_components_1.css) `
    &&& {
      margin-bottom: ${spacingByChar(0.5)};
    }
  `}
`;
const ErrorMessage = styled_components_1.default.p `
  ${({ themes: { color } }) => (0, styled_components_1.css) `
    .smarthr-ui-FieldSet-errorText {
      color: ${color.DANGER};
    }
  `}
`;
//# sourceMappingURL=FieldSet.js.map